Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.xmpp
Class XmppMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractConnectable
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.xmpp.XmppMessageReceiver

All Implemented Interfaces:
  ExceptionListener, org.jivesoftware.smack.PacketListener, Disposable, Initialisable, Startable, Stoppable, Connectable, MessageReceiver

    public class XmppMessageReceiver

extends AbstractMessageReceiver
implements org.jivesoftware.smack.PacketListener

`XmppMessageReceiver` is responsible for receiving Mule events over XMPP.

Field Summary

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`receiverKey, responseEndpoint, service`

Fields inherited from class org.mule.transport.AbstractConnectable
`connected, connector, disposed, endpoint, logger, retryTemplate, started, startOnConnect`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Constructor Summary
`XmppMessageReceiver(AbstractConnector connector, Service service, InboundEndpoint endpoint)`

Method Summary
`protected javax.resource.spi.work.Work` | `createWork(org.jivesoftware.smack.packet.Packet message)`
`protected void` | `doConnect()`
`protected void` | `doDisconnect()`
`protected void` | `doDispose()`
`protected void` | `doStart()`
`protected void` | `doStop()`
`void` | `processPacket(org.jivesoftware.smack.packet.Packet packet)`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`dispose, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getListener, getReceiverKey, getService, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setExceptionDetails, setListener, setReceiverKey, setService, toString`

Methods inherited from class org.mule.transport.AbstractConnectable
`activate, connect, disconnect, disposeAndLogException, doInitialise, exceptionThrown, getConnectEventId, getConnector, handleException, isConnected, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Constructor Detail

### XmppMessageReceiver

    public XmppMessageReceiver(AbstractConnector connector,
                               Service service,
                               InboundEndpoint endpoint)
                        throws CreateException

Throws:
  `CreateException`

Method Detail

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doDisconnect

    protected void doDisconnect()
                         throws Exception

  Overrides:
    `doDisconnect` in class `AbstractConnectable`
  Throws:
    `Exception`

### doStart

    protected void doStart()
                    throws MuleException

  Overrides:
    `doStart` in class `AbstractConnectable`
  Throws:
    `MuleException`

### doStop

    protected void doStop()
                   throws MuleException

  Overrides:
    `doStop` in class `AbstractConnectable`
  Throws:
    `MuleException`

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractConnectable`

### createWork

    protected javax.resource.spi.work.Work createWork(org.jivesoftware.smack.packet.Packet message)

### processPacket

    public void processPacket(org.jivesoftware.smack.packet.Packet packet)

  Specified by:
    `processPacket` in interface `org.jivesoftware.smack.PacketListener`
  See Also:
    `PacketListener.processPacket(org.jivesoftware.smack.packet.Packet)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.